From dd361d8d9df7a69a4fc7c004db5b959440a024c2 Mon Sep 17 00:00:00 2001
From: Cédric Ollivier <cedric.ollivier@orange.com>
Date: Wed, 6 Sep 2017 00:25:57 +0200
Subject: Stop installing librairies during tests
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Functest is in charge of installing libraries and it's forbidden by
tests. No syslog service is provided in the container too.

Change-Id: I4de16e091a4eea1b4fad1cb11fcff9abb62f82cd
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
---
 tests/functest_run.sh | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

(limited to 'tests')

diff --git a/tests/functest_run.sh b/tests/functest_run.sh
index 2ee02bb..5f2e0f9 100755
--- a/tests/functest_run.sh
+++ b/tests/functest_run.sh
@@ -20,15 +20,6 @@ PRASER_WORK_DIR=$(cd $(dirname $0) && pwd)
 }
 LOCAL_IMAGE_FILE=${1:-""}
 
-# Install parser
-echo "Prepare parser ..."
-echo "==================="
-echo ""
-${PRASER_WORK_DIR}/parser_install.sh ${PRASER_WORK_DIR}/../..
-echo ""
-echo "Prepare result: $?"
-echo "==================="
-
 if [ -e "${LOCAL_IMAGE_FILE}" ]; then
     echo "Input local image file: ${LOCAL_IMAGE_FILE}"
     PARSER_IMAGE_URL_FILE=${LOCAL_IMAGE_FILE}
@@ -315,7 +306,7 @@ echo ""
 trap reset_parser_test EXIT
 
 # start syslog for loghander
-service rsyslog restart
+which service > /dev/null  && service rsyslog restart || true
 
 echo "|========= 1/4. Preparing VM image for parser...     =========|"
 download_parser_image
-- 
cgit